DHTMLX Docs & Samples Explorer

Index
dhtmlxconnector

## TreeGridDataItem

Nest all method of DataItem Object and GridDataItem Object

#### get_parent_id

method returns parent id of selected item:

        $dataItem->get_parent_id();

#### set_image

method allows to set image for all check states of the node in tree:

        $dataItem->set_image($img);

Parameters:

- $img - image which will be set for the item, path relative to icon's path of tree